{ haskellLib, ... }:

with haskellLib;

final: prev: {

  polysemy = overrideCabal
    (_:
      {
        patches = [
          ./patches/polysemy/01.patch
        ];
      })
    prev.polysemy;

  recursion-schemes = overrideCabal
    (_:
      {
        patches = [
          ./patches/recursion-schemes/01.patch
        ];
      })
    prev.recursion-schemes;

  stringsearch = overrideCabal
    (_:
      {
        patches = [
          ./patches/stringsearch/01.patch
        ];
      })
    prev.stringsearch;

}